Definitions.ResourceMappings
Date: 2014-06-19

org.gcube.informationsystem.registry.impl.state

## Enum Definitions.ResourceMappings

- java.lang.Object
- - java.lang.Enum<Definitions.ResourceMappings>
  - - org.gcube.informationsystem.registry.impl.state.Definitions.ResourceMappings

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<Definitions.ResourceMappings>
  Enclosing class:
    Definitions

      public static enum Definitions.ResourceMappings
      extends java.lang.Enum<Definitions.ResourceMappings>

  The Resource Types

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `Collection`
    `ExternalRunningInstance`
    `GenericResource`
    `GHN`
    `gLiteCE`
    `gLiteSE`
    `gLiteService`
    `gLiteSite`
    `MetadataCollection`
    `RunningInstance`
    `RuntimeResource`
    `Service`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract GCUBEResource` | `getResourceImplementation()`
    `static Definitions.ResourceMappings` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Definitions.ResourceMappings[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### RuntimeResource

          public static final Definitions.ResourceMappings RuntimeResource

    - #### RunningInstance

          public static final Definitions.ResourceMappings RunningInstance

    - #### ExternalRunningInstance

          public static final Definitions.ResourceMappings ExternalRunningInstance

    - #### Service

          public static final Definitions.ResourceMappings Service

    - #### Collection

          public static final Definitions.ResourceMappings Collection

    - #### GHN

          public static final Definitions.ResourceMappings GHN

    - #### gLiteSE

          public static final Definitions.ResourceMappings gLiteSE

    - #### gLiteCE

          public static final Definitions.ResourceMappings gLiteCE

    - #### gLiteSite

          public static final Definitions.ResourceMappings gLiteSite

    - #### gLiteService

          public static final Definitions.ResourceMappings gLiteService

    - #### GenericResource

          public static final Definitions.ResourceMappings GenericResource

    - #### MetadataCollection

          public static final Definitions.ResourceMappings MetadataCollection

  - ### Method Detail

    - #### values

          public static Definitions.ResourceMappings[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Definitions.ResourceMappings c : Definitions.ResourceMappings.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Definitions.ResourceMappings valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getResourceImplementation

          public abstract GCUBEResource getResourceImplementation()
                                                           throws java.lang.Exception

      Throws:
        `java.lang.Exception`